Name:           perl-grpc-xs
Version:        0.34
Release:        1%{?dist}
Summary:        Perl binding to a client part of the gRPC library
# examples/route_guide/route_guide.proto:   BSD
# LICENSE:      ASL 2.0 text
# ppport.h:     GPL+ or Artistic
License:        ASL 2.0 and (GPL+ or Artistic) and BSD
URL:            https://metacpan.org/release/grpc-xs
Source0:        https://cpan.metacpan.org/authors/id/J/JO/JOYREX/grpc-xs-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  grpc-devel
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.5
BuildRequires:  perl(Config)
BuildRequires:  perl(Devel::CheckLib)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Getopt::Long)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::Peek)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is a low-level binding to a client part of the gRPC library.

%prep
%setup -q -n grpc-xs-%{version}
# Fix shebangs in examples
perl -MConfig -i -p -e 's/^#!perl\b/$Config{startperl}/' examples/*/t/*.t
# Remove fork tests that are not supported in grpc and halt since grpc-1.20.0,
# bug #1715774, CPAN RT#129720
rm t/17-fork_friendliness.t

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 \
    OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc examples README.md
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Grpc*
%{_mandir}/man3/*

%changelog
* Tue Nov 03 2020 Petr Pisar <ppisar@redhat.com> - 0.34-1
- 0.34 bump

* Mon Oct 19 2020 Jitka Plesnikova <jplesnik@redhat.com> - 0.33-1
- 0.33 bump

* Mon Aug 03 2020 Petr Pisar <ppisar@redhat.com> - 0.32-2
- Adjust the tests to a stronger crypto-policy (bug #1862951)

* Mon Sep 02 2019 Petr Pisar <ppisar@redhat.com> - 0.32-1
- 0.32 bump

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.31-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jun 04 2019 Petr Pisar <ppisar@redhat.com> - 0.31-3
- Remove fork tests that are not supported in grpc and halt since grpc-1.20.0
  (bug #1715774)

* Sun Jun 02 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.31-2
- Perl 5.30 rebuild

* Mon May 13 2019 Petr Pisar <ppisar@redhat.com> - 0.31-1
- 0.31 bump

* Mon Mar 18 2019 Petr Pisar <ppisar@redhat.com> - 0.30-1
- 0.30 bump

* Thu Mar 14 2019 Petr Pisar <ppisar@redhat.com> 0.20-1
- Specfile autogenerated by cpanspec 1.78.
